Skip to main content
`Ctrl`+`K`

# minimize_scalar(method=’brent’)

scipy.optimize.minimize_scalar(fun, bracket=None, bounds=None, args=(), method=None, tol=None, options=None)

  See also

  For documentation for the rest of the parameters, see `scipy.optimize.minimize_scalar`

  Options:
    ——-
    maxiter int

      Maximum number of iterations to perform.

    xtol float

      Relative error in solution xopt acceptable for convergence.

    disp int, optional

      If non-zero, print messages.

      `0` : no message printing.

      `1` : non-convergence notification messages only.

      `2` : print a message on convergence too.

      `3` : print iteration results.

  Notes

  Uses inverse parabolic interpolation when possible to speed up convergence of golden section method.